Bug 43739 - hyperlink isn't selected after click on it
hyperlink isn't selected after click on it
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: Output Window
4.x
All All
: P3 (vote)
: 4.x
Assigned To: _ tboudreau
issues@platform
: UI
Depends on:
Blocks: 43882
  Show dependency treegraph
 
Reported: 2004-05-24 14:52 UTC by Lukas Hasik
Modified: 2008-12-22 21:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2004-05-24 14:52:40 UTC
like in old OW
Comment 1 _ tboudreau 2004-05-25 17:57:14 UTC
May be better to do something like "highlight caret row" in the editor - two reasons:
1. It would solve the problem that the caret is hard to see, but it should not blink because 
the text is not editable.

2. On some look and feels, the selection is only visible when the component has focus.  If 
we use my painting code for non-wrapped mode as well as wrapped mode (my code is 
faster because it can assume a fixed width font and doesn't iterate the entire string to 
expand tabs), of course we can paint what we want.

Jano, what do you think?  The caret is always on the line that was clicked, so we could kill 
two birds with one stone here.
Comment 2 jrojcek 2004-05-26 08:39:54 UTC
Highlighting the row based on the caret position makes sense to me. However I would like 
to see that in action, to check all side effects (if there are any ;-).
Comment 3 _ tboudreau 2004-07-25 02:28:23 UTC
Checking in demosrc/org/netbeans/core/output2/TestFrame.java;
/cvs/core/output2/demosrc/org/netbeans/core/output2/TestFrame.java,v  <--  
TestFrame.java
new revision: 1.8; previous revision: 1.7
done
Processing log script arguments...
More commits to come...
Checking in src/org/netbeans/core/output2/Bundle.properties;
/cvs/core/output2/src/org/netbeans/core/output2/Bundle.properties,v  <--  
Bundle.properties
new revision: 1.6; previous revision: 1.5
done
Checking in src/org/netbeans/core/output2/Controller.java;
/cvs/core/output2/src/org/netbeans/core/output2/Controller.java,v  <--  Controller.java
new revision: 1.8; previous revision: 1.7
done
Checking in src/org/netbeans/core/output2/ExtPlainView.java;
/cvs/core/output2/src/org/netbeans/core/output2/ExtPlainView.java,v  <--  
ExtPlainView.java
new revision: 1.5; previous revision: 1.4
done
Checking in src/org/netbeans/core/output2/FileMapStorage.java;
/cvs/core/output2/src/org/netbeans/core/output2/FileMapStorage.java,v  <--  
FileMapStorage.java
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/core/output2/FindDialogPanel.form;
/cvs/core/output2/src/org/netbeans/core/output2/FindDialogPanel.form,v  <--  
FindDialogPanel.form
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/core/output2/FindDialogPanel.java;
/cvs/core/output2/src/org/netbeans/core/output2/FindDialogPanel.java,v  <--  
FindDialogPanel.java
new revision: 1.5; previous revision: 1.4
done
Checking in src/org/netbeans/core/output2/OutWriter.java;
/cvs/core/output2/src/org/netbeans/core/output2/OutWriter.java,v  <--  OutWriter.java
new revision: 1.7; previous revision: 1.6
done
Checking in src/org/netbeans/core/output2/OutputDocument.java;
/cvs/core/output2/src/org/netbeans/core/output2/OutputDocument.java,v  <--  
OutputDocument.java
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/core/output2/OutputEditorKit.java;
/cvs/core/output2/src/org/netbeans/core/output2/OutputEditorKit.java,v  <--  
OutputEditorKit.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/org/netbeans/core/output2/OutputTab.java;
/cvs/core/output2/src/org/netbeans/core/output2/OutputTab.java,v  <--  
OutputTab.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/org/netbeans/core/output2/PairMap.java;
/cvs/core/output2/src/org/netbeans/core/output2/PairMap.java,v  <--  PairMap.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/org/netbeans/core/output2/WrappedTextView.java;
/cvs/core/output2/src/org/netbeans/core/output2/WrappedTextView.java,v  <--  
WrappedTextView.java
new revision: 1.8; previous revision: 1.7
done
Processing log script arguments...
More commits to come...
Checking in src/org/netbeans/core/output2/ui/AbstractOutputPane.java;
/cvs/core/output2/src/org/netbeans/core/output2/ui/AbstractOutputPane.java,v  <--  
AbstractOutputPane.java
new revision: 1.11; previous revision: 1.10
done
Processing log script arguments...
Comment 4 Lukas Hasik 2004-07-28 14:55:46 UTC
verified - hyperlink is selected after click on it


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo